import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ModalControl } from '../../../modal-control/modal-control.component';
import { ConfigOption, ConfigResult, ConfigStorage } from './grid-config.model';
import { SettingService } from '../../../../services/setting/setting.service';
export declare class GridConfigComponent implements OnInit {
    private ref;
    private settingService;
    isMobile: boolean;
    modal: ModalControl;
    change: EventEmitter<ConfigResult>;
    option: ConfigOption;
    storage: ConfigStorage;
    constructor(ref: ChangeDetectorRef, settingService: SettingService);
    ngOnInit(): void;
    setOption(option: ConfigOption): Promise<void>;
    private init;
    private initDefault;
    open(): void;
    save(): void;
    reset(): void;
    moveColumnUp(index: number): void;
    moveColumnDown(index: number): void;
    emitOnChange(): void;
}
