import { ViewContainerRef, OnInit, TemplateRef, DoCheck, IterableDiffers } from '@angular/core';
export declare class LazyForDirective implements DoCheck, OnInit {
    private vcr;
    private tpl;
    private iterableDiffers;
    lazyForContainer: HTMLElement;
    itemHeight: number;
    itemTagName: string;
    set lazyForOf(items: any[]);
    private templateElem;
    private beforeListElem;
    private afterListElem;
    private list;
    private initialized;
    private firstUpdate;
    private differ;
    private lastChangeTriggeredByScroll;
    constructor(vcr: ViewContainerRef, tpl: TemplateRef<any>, iterableDiffers: IterableDiffers);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngAfterDoCheck(): void;
    /**
     * List update
     *
     * @returns void
     */
    private update;
    /**
     * First update.
     *
     * @returns void
     */
    private onFirstUpdate;
    /**
     * Limit To Range
     *
     * @param number num - Element number.
     * @param number min - Min element number.
     * @param number max - Max element number.
     *
     * @returns number
     */
    private limitToRange;
}
