import { TranslateService } from '../translate/translate.service';
export declare class NotifyService {
    private translateService;
    private notifyId;
    constructor(translateService: TranslateService);
    alert: {
        success: (message?: string) => void;
        warning: (message?: string) => void;
        error: (message?: string) => void;
        image: (imageUrl: string, imageWidth: number, imageHeight: number, option?: {
            title?: string;
            message?: string;
        }) => void;
    };
    notify: {
        success: (message?: string, delay?: number) => void;
        warning: (message?: string, delay?: number) => void;
        error: (message?: string, delay?: number) => void;
    };
    confirm(message: string, option?: {
        title?: string;
        yesTitle?: string;
        noTitle?: string;
    }): Promise<unknown>;
    confirmDelete: () => Promise<unknown>;
    confirmApprove: () => Promise<unknown>;
    confirmWithInput: (title: string, option?: {
        yesTitle?: string;
        noTitle?: string;
    }) => Promise<unknown>;
    private showNotify;
}
